# Users: get

**Important**:
We will discontinue support for the v2.0 JSON API on September 30th, 2024.
To ensure continued functionality, update your applications that rely on the v2.0 JSON API
to the latest API version. For the latest version, use the links in the left-side navbar.


**Requires [authorization](https://developers.google.com/blogger/docs/2.0/json/reference/users/get#auth)**

Retrieves one user by userId.
[Try it now](https://developers.google.com/blogger/docs/2.0/json/reference/users/get#try-it).

Authentication is required. Retrieving a user other than the authenticated user is not allowed. The argument userId may be either the numeric user identifier or self.

## Request

### HTTP Request

```
GET https://www.googleapis.com/blogger/v2/users/userId
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `userId` | `string` | The ID of the user to get. |

### Authorization

This request requires authorization with at least one of the following scopes ([/blogger/docs/2.0/json/getting_started"\>read more about authentication and authorization](https://developers.google.com/blogger/docs/2.0/json/reference/users/<span style=)).

| Scope |
|---|
| `https://www.googleapis.com/auth/blogger` |
| `https://www.blogger.com/feeds/` |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns an [Users resource](https://developers.google.com/blogger/docs/2.0/json/reference/users#resource) in the response body.

## Try It!


Use the explorer below to call this method on live data and see the response.